set(quick3dlogicplugin_FOUND FALSE)

# note: _third_party_deps example: "ICU\\;FALSE\\;1.0\\;i18n uc data;ZLIB\\;FALSE\\;\\;"
set(__qt_quick3dlogicplugin_third_party_deps "")

foreach(__qt_quick3dlogicplugin_target_dep ${__qt_quick3dlogicplugin_third_party_deps})
    list(GET __qt_quick3dlogicplugin_target_dep 0 __qt_quick3dlogicplugin_pkg)
    list(GET __qt_quick3dlogicplugin_target_dep 1 __qt_quick3dlogicplugin_is_optional)
    list(GET __qt_quick3dlogicplugin_target_dep 2 __qt_quick3dlogicplugin_version)
    list(GET __qt_quick3dlogicplugin_target_dep 3 __qt_quick3dlogicplugin_components)
    list(GET __qt_quick3dlogicplugin_target_dep 4 __qt_quick3dlogicplugin_optional_components)
    set(__qt_quick3dlogicplugin_find_package_args "${__qt_quick3dlogicplugin_pkg}")
    if(__qt_quick3dlogicplugin_version)
        list(APPEND __qt_quick3dlogicplugin_find_package_args "${__qt_quick3dlogicplugin_version}")
    endif()
    if(__qt_quick3dlogicplugin_components)
        string(REPLACE " " ";" __qt_quick3dlogicplugin_components "${__qt_quick3dlogicplugin_components}")
        list(APPEND __qt_quick3dlogicplugin_find_package_args COMPONENTS ${__qt_quick3dlogicplugin_components})
    endif()
    if(__qt_quick3dlogicplugin_optional_components)
        string(REPLACE " " ";" __qt_quick3dlogicplugin_optional_components "${__qt_quick3dlogicplugin_optional_components}")
        list(APPEND __qt_quick3dlogicplugin_find_package_args OPTIONAL_COMPONENTS ${__qt_quick3dlogicplugin_optional_components})
    endif()

    if(__qt_quick3dlogicplugin_is_optional)
        if(${CMAKE_FIND_PACKAGE_NAME}_FIND_QUIETLY)
            list(APPEND __qt_quick3dlogicplugin_find_package_args QUIET)
        endif()
        find_package(${__qt_quick3dlogicplugin_find_package_args})
    else()
        find_dependency(${__qt_quick3dlogicplugin_find_package_args})
    endif()
endforeach()

set(__qt_use_no_default_path_for_qt_packages "NO_DEFAULT_PATH")
if(QT_DISABLE_NO_DEFAULT_PATH_IN_QT_PACKAGES)
    set(__qt_use_no_default_path_for_qt_packages "")
endif()

# note: target_deps example: "Qt6Core\;5.12.0;Qt6Gui\;5.12.0"
set(__qt_quick3dlogicplugin_target_deps "Qt6CorePrivate\;6.3.2;Qt63DCore\;6.3.2;Qt6Core\;6.3.2;Qt6Gui\;6.3.2;Qt6Qml\;6.3.2")
set(__qt_quick3dlogicplugin_find_dependency_paths "${CMAKE_CURRENT_LIST_DIR}/../..;${_qt_cmake_dir}")
_qt_internal_find_dependencies(__qt_quick3dlogicplugin_target_deps __qt_quick3dlogicplugin_find_dependency_paths)

set(quick3dlogicplugin_FOUND TRUE)
